<template>
    <div>
        <div>
            <label>
                Title
                <input v-model="currentDirectory.title" type="text" />
            </label>
        </div>
        <div>
            <label>
                Rate
                <input v-model="currentDirectory.taxRate" type="number" />
            </label>
        </div>
        <div>
            <label>
                Year
                <input v-model="currentDirectory.year" type="text" />
            </label>
        </div>
        <div>
            <label>
                Owner
                <input v-model="currentDirectory.owner" type="nu" />
            </label>
        </div>
    </div>
</template>

<script>
import { mapActions, mapGetters } from 'vuex'

    export default {
        name: 'EditDirectory',
        data() {
            return {
                currentDirectory: {},
            }
        },
        watch:{
            currentDirectory:{
                handler(newFilter){
                    this.onUpdateFilter(newFilter);
                }
            }
        },
        methods: {
            ...mapActions(['onUpdateFilter']),
            name() {
                
            }
        },
    }
</script>

<style lang="scss" scoped>

</style>